/*
 * Copyright 2022 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// global header of the "heat" module

#ifndef HEAT_H
#define HEAT_H

#if defined(WIN32)
#ifdef heat_EXPORTS
#define HEAT_API __declspec(dllexport)
#else
#define HEAT_API __declspec(dllimport)
#endif
#else
#define HEAT_API
#endif

#include "tbox.h"

/**
 * @brief this namespace avoids conflicts with similar names in 'waves'
 */

namespace heat
{
class Problem;
class Medium;
class Dirichlet;
class Solver;
class Periodic;
class Boundary;
class Source;
class Extractor;

class NodePair;

class HeatTerm;

// not used yet
class DisplayHook;
}; // namespace heat

#endif // HEAT_H
